#include "treeinterp.h"

#define MODELO_2

void CarregaMeuModelo(char *fname);
int Restricao(int nlinhas, TreeInterpLinha *linha, unsigned char *F);

void desenhaLinhas();
void desenhaLinhasReconhecidas();
void desenhaPontos();
void desenhaModelo();

//void recognize(unsigned char* gData, int threshold);
int recognizeInterpret(unsigned char* gData, int threshold, double* H);
int recognize(unsigned char* gData, int threshold, double* H);
int recognize(unsigned char* gData, int threshold, float lambda_extrap, float lambda_interp, double* H1, double* H2, double* H3);


int getNumberRecognizedLines();
bool CalibrateCamera(double* modelview, double* projection);